## gtools 2.0.7

=== DESCRIPTION ===
Package: gtools
Title: Various functions to help manipulate data.
Description: Various functions to help manipulate data
Depends: R (>= 1.9.0)
Version: 2.0.7
Date: 2005-05-25
Author: Gregory R. Warnes. Includes R source code and documentation
        contributed by
           - Ben Bolker,
           - Lodewijk Bonebakker,
           - Bendix Carstensen,
           - R. Gentleman,
           - Kjetil Halvorsen,
           - W. Huber
           - Nitin Jain,
           - Andy Liaw,
           - Don MacQueen,
           - M. Maechler,
           - Arni Magnusson,
           - Jim Rogers,
           - Marc Schwartz,
           - William Venables,
           - Ian Wilson,
        and others (let me know if I missed you!), as well as the Perl
        modules
           - "IO-stringy" (copyright 1996 by Eryq, and 1999,2001 by
             ZeeGee Software Inc),
           - OLE::Storage_Lite (copyright 2000,2001 by Kawai Takanori),
           - Spreadsheet::ParseExcel (copyright 2000-2002 by Kawai
             Takanori )
        under the terms of the GNU General Public Licence (GPL).
Maintainer: Nitin Jain <nitin.jain@pfizer.com>
License: GPL (version 2 or later)
Packaged: Wed May 25 17:50:42 2005; jainn02

## gtools 2.0.9

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Depends: R (>= 1.9.0)
Version: 2.0.9
Date: 2005-08-31
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Nitin Jain <nitin.jain@pfizer.com>
License: LGPL 2.1
Packaged: Thu Sep  1 12:47:48 2005; warneg

## gtools 2.1.0

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Depends: R (>= 1.9.0)
Version: 2.1.0
Date: 2005-08-31
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Nitin Jain <nitin.jain@pfizer.com>
License: LGPL 2.1
Packaged: Fri Sep  2 19:00:56 2005; jainn02

## gtools 2.1.1

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Depends: R (>= 1.9.0)
Version: 2.1.1
Date: 2005-09-22
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Nitin Jain <nitin.jain@pfizer.com>
License: LGPL 2.1
Packaged: Thu Sep 22 14:17:53 2005; warneg

## gtools 2.2.2

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Depends: R (>= 1.9.0)
Version: 2.2.2
Date: 2005-11-22
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Nitin Jain <nitin.jain@pfizer.com>
License: LGPL 2.1
Packaged: Wed Dec 14 15:33:15 2005; hornik

## gtools 2.2.3

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Depends: R (>= 1.9.0)
Version: 2.2.3
Date: 2005-12-21
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Nitin Jain <nitin.jain@pfizer.com>
License: LGPL 2.1
Packaged: Wed Dec 21 10:23:52 2005; warneg

## gtools 2.3.0

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Depends: R
Version: 2.3.0
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Gregory R. Warnes <warnes@bst.rochester.edu>
License: LGPL 2.1
Packaged: Mon Nov 27 19:54:13 2006; warnes

## gtools 2.3.1

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Depends: R
Version: 2.3.1
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Gregory R. Warnes <warnes@bst.rochester.edu>
License: LGPL 2.1
Packaged: Sat Apr  7 09:42:10 2007; warnes

## gtools 2.4.0

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 2.4.0
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Gregory R. Warnes <warnes@bst.rochester.edu>
License: LGPL 2.1
Packaged: Wed Aug  8 06:58:05 2007; warnes

## gtools 2.5.0

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 2.5.0
Date: 2008-05-22
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Gregory R. Warnes <warnes@bst.rochester.edu>
License: LGPL-2.1
Packaged: Mon May 26 15:23:19 2008; warnes

## gtools 2.5.0-1

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 2.5.0-1
Date: 2009-02-19
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Gregory R. Warnes <warnes@bst.rochester.edu>
License: LGPL-2.1
Packaged: Thu Feb 19 13:01:09 2009; CRAN

## gtools 2.6.1

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 2.6.1
Date: 2009-05-08
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@random-technologies-llc.com>
License: LGPL-2.1
Packaged: 2009-05-09 03:35:20 UTC; warnes
Repository: CRAN
Date/Publication: 2009-05-10 18:54:13

## gtools 2.6.1-1

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 2.6.1-1
Date: 2010-04-30
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@random-technologies-llc.com>
License: LGPL-2.1
Packaged: 2010-04-30 17:36:33 UTC; ligges
Repository: CRAN
Date/Publication: 2010-05-01 15:59:54

## gtools 2.6.2

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 2.6.2
Date: 2010-05-01
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2010-05-01 22:27:46 UTC; warnes
Repository: CRAN
Date/Publication: 2010-05-02 07:04:36

## gtools 2.7.0

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 2.7.0
Date: 2012-06-19
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2012-06-19 19:01:01 UTC; warnegr1
Repository: CRAN
Date/Publication: 2012-06-20 05:38:49

## gtools 2.7.1

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 2.7.1
Date: 2013-03-16
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2013-04-02 08:29:55 UTC; ripley
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-04-02 10:31:41

## gtools 3.0.0

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 3.0.0
Date: 2013-07-06
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2013-07-07 00:12:30 UTC; warnes
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-07-07 17:40:01

## gtools 3.1.0

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 3.1.0
Date: 2013-09-22
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2013-09-23 15:46:51 UTC; warnes
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-09-23 18:29:20

## gtools 3.1.1

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 3.1.1
Date: 2013-11-06
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2013-11-06 14:55:43 UTC; warnes
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-11-06 18:12:14

## gtools 3.2.0

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 3.2.0
Date: 2014-01-11
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
Imports: gdata
License: LGPL-2.1
Packaged: 2014-01-11 23:40:09 UTC; warnes
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-01-12 09:54:15

## gtools 3.2.1

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 3.2.1
Date: 2014-01-13
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2014-01-13 14:07:20 UTC; warnes
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-01-13 16:04:55

## gtools 3.3.0

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 3.3.0
Date: 2014-02-11
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2014-02-11 17:45:00 UTC; warnes
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-02-11 21:31:56

## gtools 3.3.1

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 3.3.1
Date: 2014-03-01
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2014-03-01 20:17:26 UTC; warnes
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-03-02 00:17:13

## gtools 3.4.0

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 3.4.0
Date: 2014-04-15
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2014-04-17 17:35:30 UTC; warnes
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-04-18 01:42:53

## gtools 3.4.1

=== DESCRIPTION ===
Package: gtools
Title: Various R programming tools
Description: Various R programming tools
Version: 3.4.1
Date: 2014-05-27
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2014-05-28 00:24:58 UTC; warnes
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-05-28 09:52:04

## gtools 3.4.2

=== DESCRIPTION ===
Package: gtools
Title: Various R Programming Tools
Description: Functions to assist in R programming, including:
  - assist in developing, updating, and maintaining R and R packages ('ask', 'checkRVersion', 
    'getDependencies', 'keywords', 'scat'), 
  - calculate the logit and inverse logit transformations ('logit', 'inv.logit'),
  - test if a value is missing, empty or contains only NA and NULL values ('invalid'),
  - manipulate R's .Last function ('addLast'),
  - define macros ('defmacro'),
  - detect odd and even integers ('odd', 'even'),
  - convert strings containing non-ASCII characters (like single quotes) to plain ASCII ('ASCIIfy'), 
  - perform a binary search ('binseach'),
  - sort strings containing both numeric and character components ('mixedsort'),
  - create a factor variable from the quantiles of a continuous variable ('quantcut'),
  - enumerate permutations and combinations ('combinations', 'permutation'),
  - calculate and convert between fold-change and log-ratio ('foldchange', 
    'logratio2foldchange', 'foldchange2logratio'),
  - calculate probabilities and generate random numbers from Dirichlet distributions 
    ('rdirichlet', 'ddirichlet'),
  - apply a function over adjacent subsets of a vector ('running'),
  - Modify the TCP\_NODELAY ('de-Nagle') flag for socket objects,
  - Efficient 'rbind' of data frames, even if the column names don't match ('smartbind'),
  - Generate significance stars from p-values ('stars.pval').
Version: 3.4.2
Date: 2015-04-06
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: LGPL-2.1
Packaged: 2015-04-10 12:37:28 UTC; gwarnes1
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-04-10 14:48:31

## gtools 3.5.0

=== DESCRIPTION ===
Package: gtools
Title: Various R Programming Tools
Description: Functions to assist in R programming, including:
  - assist in developing, updating, and maintaining R and R packages ('ask', 'checkRVersion',
    'getDependencies', 'keywords', 'scat'),
  - calculate the logit and inverse logit transformations ('logit', 'inv.logit'),
  - test if a value is missing, empty or contains only NA and NULL values ('invalid'),
  - manipulate R's .Last function ('addLast'),
  - define macros ('defmacro'),
  - detect odd and even integers ('odd', 'even'),
  - convert strings containing non-ASCII characters (like single quotes) to plain ASCII ('ASCIIfy'),
  - perform a binary search ('binsearch'),
  - sort strings containing both numeric and character components ('mixedsort'),
  - create a factor variable from the quantiles of a continuous variable ('quantcut'),
  - enumerate permutations and combinations ('combinations', 'permutation'),
  - calculate and convert between fold-change and log-ratio ('foldchange',
    'logratio2foldchange', 'foldchange2logratio'),
  - calculate probabilities and generate random numbers from Dirichlet distributions
    ('rdirichlet', 'ddirichlet'),
  - apply a function over adjacent subsets of a vector ('running'),
  - modify the TCP\_NODELAY ('de-Nagle') flag for socket objects,
  - efficient 'rbind' of data frames, even if the column names don't match ('smartbind'),
  - generate significance stars from p-values ('stars.pval'),
  - convert characters to/from ASCII codes.
Version: 3.5.0
Date: 2015-05-26
Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: GPL-2
Repository: CRAN
Repository/R-Forge/Project: r-gregmisc
Repository/R-Forge/Revision: 2048
Repository/R-Forge/DateTimeStamp: 2015-05-27 16:38:37
Date/Publication: 2015-05-29 10:36:40
NeedsCompilation: yes
Packaged: 2015-05-27 16:45:10 UTC; rforge
Depends: R (>= 2.10)

## gtools 3.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -21,17 +21,15 @@
   - modify the TCP\_NODELAY ('de-Nagle') flag for socket objects,
   - efficient 'rbind' of data frames, even if the column names don't match ('smartbind'),
   - generate significance stars from p-values ('stars.pval'),
-  - convert characters to/from ASCII codes.
-Version: 3.5.0
-Date: 2015-05-26
+  - convert characters to/from ASCII codes ('asc', 'chr'),
+  - convert character vector to ASCII representation ('ASCIIfy').
+Version: 3.8.1
+Date: 2018-06-19
 Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
 Maintainer: Gregory R. Warnes <greg@warnes.net>
 License: GPL-2
+Depends: methods, stats, utils
+NeedsCompilation: yes
+Packaged: 2018-06-25 14:51:36 UTC; gwarnes
 Repository: CRAN
-Repository/R-Forge/Project: r-gregmisc
-Repository/R-Forge/Revision: 2048
-Repository/R-Forge/DateTimeStamp: 2015-05-27 16:38:37
-Date/Publication: 2015-05-29 10:36:40
-NeedsCompilation: yes
-Packaged: 2015-05-27 16:45:10 UTC; rforge
-Depends: R (>= 2.10)
+Date/Publication: 2018-06-26 14:37:57 UTC

=== debian/changelog ===
gtools (3.8.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Jun 2018 16:44:54 -0500

gtools (3.5.0-2) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 Jun 2017 19:33:04 -0500

gtools (3.5.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 May 2015 16:50:17 -0500

gtools (3.4.2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Apr 2015 09:08:29 -0500

gtools (3.4.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 May 2014 22:07:23 -0500

gtools (3.4.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Apr 2014 20:29:03 -0500

gtools (3.3.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Mar 2014 19:13:37 -0600

gtools (3.3.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Feb 2014 19:55:59 -0600

gtools (3.2.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Remove (Build-)Depends: on gdata

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Jan 2014 10:41:00 -0600

gtools (3.2.0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Add new (Build-)Depends: on gdata

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Jan 2014 10:14:05 -0600

gtools (3.1.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Nov 2013 13:43:53 -0600

gtools (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Sep 2013 13:17:10 -0500

gtools (3.0.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Jul 2013 12:26:16 -0500

gtools (2.7.1-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 17:52:30 -0500

gtools (2.7.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Mar 2013 10:22:04 -0500

gtools (2.7.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Jun 2012 06:10:15 -0500

gtools (2.6.2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 May 2010 21:14:55 -0500

gtools (2.6.1-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2009 16:13:38 -0600

gtools (2.6.1-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 May 2009 21:59:21 -0500

gtools (2.5.0-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: (Build-)Depends: updated to r-base-(core|dev) (>= 2.8.1)
  * debian/control: Updated Standards-Version: to 3.8.0

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 Feb 2009 20:48:16 -0600

gtools (2.5.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 27 May 2008 06:30:42 -0500

gtools (2.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: (Build-)Depends: updated to r-base-dev (>= 2.5.1)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Aug 2007 11:07:45 -0500

gtools (2.3.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: (Build-)Depends: updated to r-base-dev (>> 2.4.1)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Apr 2007 23:17:35 -0500

gtools (2.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Switched to one-line cdbs stanza
  * debian/control: Updated (Build-)Depends: to r-base-core (>= 2.4.0)
  * debian/control: Updated Standards-Version: to 3.7.2
  * debian/watch: Updated to version=3

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Nov 2006 21:11:23 -0600

gtools (2.2.3-3) unstable; urgency=low

  * debian/control: Use Build-Depends:, not BD-Indep (Closes: #345908)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  4 Jan 2006 06:35:48 -0600

gtools (2.2.3-2) unstable; urgency=low

  * debian/control: Switch to Architecture: any	      (Closes: #345807)


=== debian/control ===
Source: gtools
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-gtools
Vcs-Git: https://salsa.debian.org/edd/r-cran-gtools.git
Homepage: https://cran.r-project.org/package=gtools

Package: r-cran-gtools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package with R programming tools by Greg Warnes et al
 This package of R programming tools was written by Gregory Warnes 
 with code contributions by Ben Bolker and Thomas Lumley.
 .
 This package used to be part of the gregmisc bundle packaged for Debian
 as r-cran-gregmisc.
Replaces: r-cran-gregmisc (<= 2.0.7-1)

## gtools 3.8.2

=== DESCRIPTION ===
--- 
+++ 
@@ -23,13 +23,16 @@
   - generate significance stars from p-values ('stars.pval'),
   - convert characters to/from ASCII codes ('asc', 'chr'),
   - convert character vector to ASCII representation ('ASCIIfy').
-Version: 3.8.1
-Date: 2018-06-19
+Version: 3.8.2
+Date: 2020-03-23
 Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
 Maintainer: Gregory R. Warnes <greg@warnes.net>
 License: GPL-2
 Depends: methods, stats, utils
+URL: https://github.com/r-gregmisc/gtools
+BugReports: https://github.com/r-gregmisc/gtools/issues
+Language: en-US
 NeedsCompilation: yes
-Packaged: 2018-06-25 14:51:36 UTC; gwarnes
+Packaged: 2020-03-29 23:27:01 UTC; gwarnes
 Repository: CRAN
-Date/Publication: 2018-06-26 14:37:57 UTC
+Date/Publication: 2020-03-31 13:50:02 UTC

=== debian/changelog ===
gtools (3.8.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Apr 2020 14:29:58 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.3), dh-r
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gtools
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gtools.git
 Homepage: https://cran.r-project.org/package=gtools

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/gtools_([\d.-]*)\.tar.gz

## gtools 3.9.2

=== DESCRIPTION ===
--- 
+++ 
@@ -22,9 +22,10 @@
   - efficient 'rbind' of data frames, even if the column names don't match ('smartbind'),
   - generate significance stars from p-values ('stars.pval'),
   - convert characters to/from ASCII codes ('asc', 'chr'),
-  - convert character vector to ASCII representation ('ASCIIfy').
-Version: 3.8.2
-Date: 2020-03-23
+  - convert character vector to ASCII representation ('ASCIIfy'),
+  - apply title capitalization rules to a character vector ('capwords').
+Version: 3.9.2
+Date: 2021-06-03
 Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
 Maintainer: Gregory R. Warnes <greg@warnes.net>
 License: GPL-2
@@ -32,7 +33,9 @@
 URL: https://github.com/r-gregmisc/gtools
 BugReports: https://github.com/r-gregmisc/gtools/issues
 Language: en-US
+Suggests: car, gplots, knitr, rstudioapi, SGP, taxize
+RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2020-03-29 23:27:01 UTC; gwarnes
+Packaged: 2021-06-03 15:27:57 UTC; warnes
 Repository: CRAN
-Date/Publication: 2020-03-31 13:50:02 UTC
+Date/Publication: 2021-06-06 10:00:02 UTC

=== debian/changelog ===
gtools (3.9.2-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Aug 2021 22:29:59 -0500

gtools (3.9.2-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)
  
  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Jun 2021 12:17:26 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.3), dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gtools
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gtools.git
 Homepage: https://cran.r-project.org/package=gtools

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-gtools package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## gtools 3.9.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -24,18 +24,18 @@
   - convert characters to/from ASCII codes ('asc', 'chr'),
   - convert character vector to ASCII representation ('ASCIIfy'),
   - apply title capitalization rules to a character vector ('capwords').
-Version: 3.9.2
+Version: 3.9.2.1
 Date: 2021-06-03
 Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
 Maintainer: Gregory R. Warnes <greg@warnes.net>
 License: GPL-2
-Depends: methods, stats, utils
+Depends: R (>= 2.10), methods, stats, utils
 URL: https://github.com/r-gregmisc/gtools
 BugReports: https://github.com/r-gregmisc/gtools/issues
 Language: en-US
 Suggests: car, gplots, knitr, rstudioapi, SGP, taxize
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2021-06-03 15:27:57 UTC; warnes
+Packaged: 2022-05-23 08:06:14 UTC; hornik
 Repository: CRAN
-Date/Publication: 2021-06-06 10:00:02 UTC
+Date/Publication: 2022-05-23 08:27:44 UTC

=== debian/changelog ===
gtools (3.9.2.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 May 2022 06:40:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.0), dh-r
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gtools
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gtools.git
 Homepage: https://cran.r-project.org/package=gtools

## gtools 3.9.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -24,10 +24,10 @@
   - convert characters to/from ASCII codes ('asc', 'chr'),
   - convert character vector to ASCII representation ('ASCIIfy'),
   - apply title capitalization rules to a character vector ('capwords').
-Version: 3.9.2.1
-Date: 2021-06-03
-Author: Gregory R. Warnes, Ben Bolker, and Thomas Lumley
-Maintainer: Gregory R. Warnes <greg@warnes.net>
+Version: 3.9.2.2
+Date: 2022-05-28
+Author: Gregory R. Warnes, Ben Bolker, Thomas Lumley and CRAN team
+Maintainer: ORPHANED
 License: GPL-2
 Depends: R (>= 2.10), methods, stats, utils
 URL: https://github.com/r-gregmisc/gtools
@@ -36,6 +36,6 @@
 Suggests: car, gplots, knitr, rstudioapi, SGP, taxize
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2022-05-23 08:06:14 UTC; hornik
+Packaged: 2022-06-13 13:08:50 UTC; ripley
 Repository: CRAN
-Date/Publication: 2022-05-23 08:27:44 UTC
+Date/Publication: 2022-06-13 15:09:05

=== debian/changelog ===
gtools (3.9.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Jun 2022 13:18:00 -0500

## gtools 3.9.3

=== DESCRIPTION ===
--- 
+++ 
@@ -24,18 +24,25 @@
   - convert characters to/from ASCII codes ('asc', 'chr'),
   - convert character vector to ASCII representation ('ASCIIfy'),
   - apply title capitalization rules to a character vector ('capwords').
-Version: 3.9.2.2
-Date: 2022-05-28
-Author: Gregory R. Warnes, Ben Bolker, Thomas Lumley and CRAN team
-Maintainer: ORPHANED
+Version: 3.9.3
+Authors@R: c(person("Ben","Bolker", role=c("aut", "cre"),
+                     email = "bolker@mcmaster.ca",
+				    comment=c(ORCID="0000-0002-2127-0443")),
+	     person("Gregory R.", "Warnes", role = "aut"),	
+	     person("Thomas", "Lumley", role = "aut"))
 License: GPL-2
-Depends: R (>= 2.10), methods, stats, utils
+Depends: methods, stats, utils
 URL: https://github.com/r-gregmisc/gtools
 BugReports: https://github.com/r-gregmisc/gtools/issues
 Language: en-US
 Suggests: car, gplots, knitr, rstudioapi, SGP, taxize
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.0
+Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-06-13 13:08:50 UTC; ripley
+Packaged: 2022-07-08 23:06:49 UTC; bolker
+Author: Ben Bolker [aut, cre] (<https://orcid.org/0000-0002-2127-0443>),
+  Gregory R. Warnes [aut],
+  Thomas Lumley [aut]
+Maintainer: Ben Bolker <bolker@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2022-06-13 15:09:05
+Date/Publication: 2022-07-11 18:30:02 UTC

=== debian/changelog ===
gtools (3.9.3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Jul 2022 13:50:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.0), dh-r
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gtools
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gtools.git

## gtools 3.9.4

=== DESCRIPTION ===
--- 
+++ 
@@ -18,13 +18,13 @@
   - calculate probabilities and generate random numbers from Dirichlet distributions
     ('rdirichlet', 'ddirichlet'),
   - apply a function over adjacent subsets of a vector ('running'),
-  - modify the TCP\_NODELAY ('de-Nagle') flag for socket objects,
+  - modify the TCP_NODELAY ('de-Nagle') flag for socket objects,
   - efficient 'rbind' of data frames, even if the column names don't match ('smartbind'),
   - generate significance stars from p-values ('stars.pval'),
   - convert characters to/from ASCII codes ('asc', 'chr'),
   - convert character vector to ASCII representation ('ASCIIfy'),
   - apply title capitalization rules to a character vector ('capwords').
-Version: 3.9.3
+Version: 3.9.4
 Authors@R: c(person("Ben","Bolker", role=c("aut", "cre"),
                      email = "bolker@mcmaster.ca",
 				    comment=c(ORCID="0000-0002-2127-0443")),
@@ -36,13 +36,13 @@
 BugReports: https://github.com/r-gregmisc/gtools/issues
 Language: en-US
 Suggests: car, gplots, knitr, rstudioapi, SGP, taxize
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-07-08 23:06:49 UTC; bolker
+Packaged: 2022-11-25 18:52:42 UTC; bolker
 Author: Ben Bolker [aut, cre] (<https://orcid.org/0000-0002-2127-0443>),
   Gregory R. Warnes [aut],
   Thomas Lumley [aut]
 Maintainer: Ben Bolker <bolker@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2022-07-11 18:30:02 UTC
+Date/Publication: 2022-11-27 22:00:02 UTC

=== debian/changelog ===
gtools (3.9.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Nov 2022 17:01:17 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gtools
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gtools.git

## gtools 3.9.5

=== DESCRIPTION ===
--- 
+++ 
@@ -24,25 +24,41 @@
   - convert characters to/from ASCII codes ('asc', 'chr'),
   - convert character vector to ASCII representation ('ASCIIfy'),
   - apply title capitalization rules to a character vector ('capwords').
-Version: 3.9.4
-Authors@R: c(person("Ben","Bolker", role=c("aut", "cre"),
+Version: 3.9.5
+Authors@R: c(person("Gregory R.", "Warnes", role = "aut"),
+             person("Ben", "Bolker", role = c("aut", "cre"),
                      email = "bolker@mcmaster.ca",
-				    comment=c(ORCID="0000-0002-2127-0443")),
-	     person("Gregory R.", "Warnes", role = "aut"),	
-	     person("Thomas", "Lumley", role = "aut"))
+                     comment=c(ORCID="0000-0002-2127-0443")),
+             person("Thomas", "Lumley", role = "aut"),
+             person("Arni", "Magnusson", role = "aut"),
+             person("Bill", "Venables", role = "aut"),
+             person("Genei", "Ryodan", role = "aut"),
+             person("Steffen", "Moeller", role = "aut"),
+             person("Ian", "Wilson", role = "ctb"),
+             person("Mark", "Davis", role = "ctb"),
+             person("Nitin", "Jain", role="ctb"),
+             person("Scott", "Chamberlain", role = "ctb"))
 License: GPL-2
 Depends: methods, stats, utils
 URL: https://github.com/r-gregmisc/gtools
 BugReports: https://github.com/r-gregmisc/gtools/issues
 Language: en-US
 Suggests: car, gplots, knitr, rstudioapi, SGP, taxize
-RoxygenNote: 7.2.2
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-11-25 18:52:42 UTC; bolker
-Author: Ben Bolker [aut, cre] (<https://orcid.org/0000-0002-2127-0443>),
-  Gregory R. Warnes [aut],
-  Thomas Lumley [aut]
+Packaged: 2023-11-19 00:52:21 UTC; bolker
+Author: Gregory R. Warnes [aut],
+  Ben Bolker [aut, cre] (<https://orcid.org/0000-0002-2127-0443>),
+  Thomas Lumley [aut],
+  Arni Magnusson [aut],
+  Bill Venables [aut],
+  Genei Ryodan [aut],
+  Steffen Moeller [aut],
+  Ian Wilson [ctb],
+  Mark Davis [ctb],
+  Nitin Jain [ctb],
+  Scott Chamberlain [ctb]
 Maintainer: Ben Bolker <bolker@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2022-11-27 22:00:02 UTC
+Date/Publication: 2023-11-20 15:10:05 UTC

=== debian/changelog ===
gtools (3.9.5-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Nov 2023 20:40:00 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gtools
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gtools.git
 Homepage: https://cran.r-project.org/package=gtools
